Project-I
Home
API Test
Home
API Test
  1. Home
  • Start your Apidog journey
  • Introducing Apidog
  • Sample APIs
    • Find pet by ID
      GET
    • Add a new pet to the store
      POST
    • Update an existing pet
      PUT
    • Deletes a pet
      DELETE
    • Finds Pets by status
      GET
  • WebSocket Demo
  • Demo
    GET
  • Sample
    GET
  • GraphQL Demo
    POST
  • Get account aliase
    GET
  • Find User by ID
    GET
  • Get Account Summary
    GET
  • Demo_AWS Secrets Manager
    GET
  • Password Policy Check
    GET
  • Weather
    GET
  • Generate IAM Credential Report
    GET
  • Test
    GET
  • Analyse IAM Credential Report
    GET
  • Demo
    GET
  • List Users
    GET
  • List groups
    GET
  • List Roles
    GET
  • List Policies
    GET
  • Generate Service Last Accessed Details
    GET
  • Get Service Last Accessed Details
    GET
  • Post to Slack
    POST
  • Schemas
    • Schemas
      • Pet
      • ApiResponse
      • Category
      • Tag
      • Order
      • User
    • RequestBodies
      • UserArray
  1. Home

Find User by ID

Developing
GET
/api/users/{id}
Find User by ID

Request

Authorization
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/1012399-0-default/api/users/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
  "id": 6162845,
  "firstName": "Terrence",
  "familyName": "Carroll",
  "email": "Shirley31@hotmail.com",
  "phone": "(395) 585-4584",
  "streetAddress": "202 Oak Street",
  "city": "Lake Dameon",
  "state": "Pennsylvania",
  "zipcode": "02858",
  "gender": "male",
  "birthday": "1956-03-22",
  "bio": "inventor, founder, author 🕯️",
  "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_4 rv:2.0; LN) AppleWebKit/533.1.2 (KHTML, like Gecko) Version/7.0.2 Safari/533.1.2"
}
Modified at 2025-07-23 06:56:40
Previous
Get account aliase
Next
Get Account Summary
Built with